# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/Differences.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:		perl-Test-Assert
Version:	0.0504
Release:	alt1_5
Summary:	Assertion methods for those who like JUnit
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/Test-Assert/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DE/DEXTER/Test-Assert-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Class/Inspector.pm)
BuildRequires:	perl(constant.pm)
BuildRequires:	perl(constant/boolean.pm)
BuildRequires:	perl(Exception/Base.pm)
BuildRequires:	perl(Module/Build.pm)
BuildRequires:	perl(parent.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(Symbol/Util.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Unit/Lite.pm)
BuildRequires:	perl(warnings.pm)
# Release test requirements
BuildRequires:	perl(File/Slurp.pm)
BuildRequires:	perl(Test/CheckChanges.pm)
BuildRequires:	perl(Test/Distribution.pm)
BuildRequires:	perl(Test/Kwalitee.pm)
BuildRequires:	perl(Test/MinimumVersion.pm)
BuildRequires:	perl(Test/Perl/Critic.pm)
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm)
BuildRequires:	perl(Test/Signature.pm)
BuildRequires:	perl(Test/Spelling.pm) hunspell-en

# Avoid doc-file dependencies

Source44: import.info

%description
This class provides a set of assertion methods useful for writing tests.
The API is based on JUnit4 and Test::Unit and the methods die on failure.

%prep
%setup -q -c -n Test-Assert

# Copy up documentation for convenience with %%doc
cp -a Test-Assert-%{version}/{Changes,eg,LICENSE,README} .

%build
cd Test-Assert-%{version}
perl Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build
cd -

%install
cd Test-Assert-%{version}
./Build install destdir=%{buildroot} create_packlist=0
cd -
# %{_fixperms} %{buildroot}

%check
cd Test-Assert-%{version}

# === MAIN TEST SUITE === #

./Build test

# ===  RELEASE TESTS  === #
RELEASE_TESTS="$(echo xt/*.t)"

# Don't run the copyright test as it will fail after the year of module release
RELEASE_TESTS="$(echo $RELEASE_TESTS | sed 's|xt/copyright.t||')"

# Don't run the spelling test yet as we need to add extra stopwords
RELEASE_TESTS="$(echo $RELEASE_TESTS | sed 's|xt/pod_spell.t||')"

# Signature test would fail on recent distros due to presence of MYMETA.*
[ -f MYMETA.yml ] && mv MYMETA.yml ..
[ -f MYMETA.json ] && mv MYMETA.json ..

./Build test --test_files "$RELEASE_TESTS"

# Put any MYMETA.* files back where they were
[ -f ../MYMETA.yml ] && mv ../MYMETA.yml .
[ -f ../MYMETA.json ] && mv ../MYMETA.json .

# Fix the POD Spell test and run it
mv xt/pod_spellrc xt/pod_spellrc.orig
(
	cat xt/pod_spellrc.orig
	echo "'fail'"
	echo "JUnit4"
	echo "value1"
	echo "value2"
) > xt/pod_spellrc
./Build test --test_files xt/pod_spell.t
mv xt/pod_spellrc.orig xt/pod_spellrc

cd -

%files
%doc Changes LICENSE README eg/
%{perl_vendor_privlib}/Exception/
%{perl_vendor_privlib}/Test/

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.0504-alt1_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.0504-alt1_4
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.0504-alt1_2
- fc import

